Subject: bug#58832: problems with native compilation

From: Konrad Podczeck <[email-masked]>
Date: Fri, 28 Oct 2022 21:23:44 +0200

I still get no eln-file. Here are the error messages with respect to libgccjit:

configure: error: The installed libgccjit failed to compile and run a test program using
the libgccjit library; see config.log for the details of the failure.
The test program can be found here:
<https://gcc.gnu.org/onlinedocs/jit/intro/tutorial01.html>.
You can try compiling it yourself to investigate the issues.
Please report the issue to your distribution if libgccjit was installed
through that.
You can find the instructions on how to compile and install libgccjit from
source on this site:
<https://gcc.gnu.org/wiki/JIT>.

> Am 28.10.2022 um 17:32 schrieb Gerd Möllmann <[email-masked]>:
> 
> Yes I have an m1 Mac mini with Xcode 14 and macOS 13.0, libgccjit from Homebrew.  
> 
>> Am 28.10.2022 um 17:11 schrieb Konrad Podczeck <[email-masked]>:
>> 
>> 
>> 
>>>> Am 28.10.2022 um 14:54 schrieb Gerd Möllmann <[email-masked]>:
>>>> 
>>>> Konrad Podczeck <[email-masked]> writes:
>>>> 
>>>> I had done
>>>> 
>>>> xcode-select —install
>>>> 
>>>> before; 
>>> 
>>> If that was not after installing 13.0, please do it again.
>> 
>> Actually, I had done this after installing 13.
>>> 
>>>> I mean the process of compilation does not show any eln-file, and
>>>> looking after compilation into Emacs.app/Contents does not show a
>>>> subfolder „frameworks“ containing a lot of eln-files, as it was before
>>>> the update.
>>> 
>>> I've meanwhile done the build, and all seems to be working as on 12.6.
>> 
>> Do you have a computer with M1 processor?
>>> 
>>